summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorMichael Niedermayer <michaelni@gmx.at>2012-05-27 15:34:47 +0200
committerMichael Niedermayer <michaelni@gmx.at>2012-05-27 15:42:55 +0200
commitfcd08262fdbd5ee4cc0d25d32e331d3f049ad8c2 (patch)
tree139056d0ee0454662a437b89cab42872f9f46c0b /tests/fate-run.sh
parent2fd5e70869ccbcdbaa5183d4d763dc6c739b3494 (diff)
tests and tools: cleanup ffmpeg reference
Signed-off-by: Michael Niedermayer <michaelni@gmx.at>
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index cd94d4ab64..a2cf299554 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -73,28 +73,28 @@ probefmt(){
run ffprobe -show_format_entry format_name -print_format default=nw=1:nk=1 -v 0 "$@"
}
-avconv(){
+ffmpeg(){
run ffmpeg -nostats -threads $threads -thread_type $thread_type -cpuflags $cpuflags "$@"
}
framecrc(){
- avconv "$@" -f framecrc -
+ ffmpeg "$@" -f framecrc -
}
framemd5(){
- avconv "$@" -f framemd5 -
+ ffmpeg "$@" -f framemd5 -
}
crc(){
- avconv "$@" -f crc -
+ ffmpeg "$@" -f crc -
}
md5(){
- avconv "$@" md5:
+ ffmpeg "$@" md5:
}
pcm(){
- avconv "$@" -vn -f s16le -
+ ffmpeg "$@" -vn -f s16le -
}
enc_dec_pcm(){
@@ -106,8 +106,8 @@ enc_dec_pcm(){
encfile="${outdir}/${test}.${out_fmt}"
cleanfiles=$encfile
encfile=$(target_path ${encfile})
- avconv -i $src_file "$@" -f $out_fmt -y ${encfile} || return
- avconv -i ${encfile} -c:a pcm_${pcm_fmt} -f ${dec_fmt} -
+ ffmpeg -i $src_file "$@" -f $out_fmt -y ${encfile} || return
+ ffmpeg -i ${encfile} -c:a pcm_${pcm_fmt} -f ${dec_fmt} -
}
regtest(){